package com.custardgames.hotel.entities.ecs.components;

import com.artemis.Component;
import com.artemis.Entity;

public class CharacterDataComponent extends Component
{
	private boolean hasItem;
	private Entity item;

	public CharacterDataComponent()
	{
		setHasItem(false);
	}

	public boolean isHasItem()
	{
		return hasItem;
	}

	public void putItem(Entity item)
	{
		this.item = item;
		this.hasItem = true;
	}

	public void removeItem()
	{
		this.item = null;
		this.hasItem = false;
	}

	public Entity getItem()
	{
		return item;
	}

	public void setHasItem(boolean hasItem)
	{
		this.hasItem = hasItem;
	}

}
